create  TABLE  Bill_For_Recommendation  (
   Customer_Id  bigint(20) NOT NULL,
   Cohort_Id  bigint(20) DEFAULT NULL,
   Segment_Id  bigint(20) DEFAULT NULL,
   Product_Genome_LOV_Id  bigint(20) DEFAULT -1,
   Product_Genome  varchar(512) NOT NULL DEFAULT '',
   Bill_Date  date NOT NULL,
   StoreVisitDate  date DEFAULT NULL,
   Bill_Date_Month  int(6) DEFAULT NULL,
   Sale_Qty  bigint(20) DEFAULT NULL,
   Sale_Gross_Val  decimal(37,2) DEFAULT NULL,
   Sale_Net_Val  decimal(37,2) DEFAULT NULL,
   Sale_Disc_Val  decimal(37,2) DEFAULT NULL,
   DisByGross  decimal(10,2) DEFAULT NULL,
  PRIMARY KEY ( Customer_Id , Bill_Date , Product_Genome ),
  KEY  Segment_Id  ( Segment_Id ),
  KEY  Product_Genome_LOV_Id  ( Product_Genome_LOV_Id ),
  KEY  StoreVisitDate  ( StoreVisitDate ),
  KEY  Bill_Date  ( Bill_Date ),
  KEY  Bill_Date_Month  ( Bill_Date_Month )
) ENGINE=InnoDB DEFAULT CHARSET=latin1
 PARTITION BY RANGE ( Customer_Id )
(PARTITION  p1  VALUES LESS THAN (10000) ENGINE = InnoDB,
 PARTITION  p2  VALUES LESS THAN (20000) ENGINE = InnoDB,
 PARTITION  p3  VALUES LESS THAN (30000) ENGINE = InnoDB,
 PARTITION  p4  VALUES LESS THAN (40000) ENGINE = InnoDB,
 PARTITION  p5  VALUES LESS THAN (50000) ENGINE = InnoDB,
 PARTITION  p6  VALUES LESS THAN (60000) ENGINE = InnoDB,
 PARTITION  p7  VALUES LESS THAN (70000) ENGINE = InnoDB,
 PARTITION  p8  VALUES LESS THAN (80000) ENGINE = InnoDB,
 PARTITION  p9  VALUES LESS THAN (90000) ENGINE = InnoDB,
 PARTITION  p10  VALUES LESS THAN (100000) ENGINE = InnoDB,
 PARTITION  p11  VALUES LESS THAN (110000) ENGINE = InnoDB,
 PARTITION  p12  VALUES LESS THAN (120000) ENGINE = InnoDB,
 PARTITION  p13  VALUES LESS THAN (130000) ENGINE = InnoDB,
 PARTITION  p14  VALUES LESS THAN (140000) ENGINE = InnoDB,
 PARTITION  p15  VALUES LESS THAN (150000) ENGINE = InnoDB,
 PARTITION  p16  VALUES LESS THAN (160000) ENGINE = InnoDB,
 PARTITION  p17  VALUES LESS THAN (170000) ENGINE = InnoDB,
 PARTITION  p18  VALUES LESS THAN (180000) ENGINE = InnoDB,
 PARTITION  p19  VALUES LESS THAN (190000) ENGINE = InnoDB,
 PARTITION  p20  VALUES LESS THAN (200000) ENGINE = InnoDB,
 PARTITION  p21  VALUES LESS THAN (210000) ENGINE = InnoDB,
 PARTITION  p22  VALUES LESS THAN (220000) ENGINE = InnoDB,
 PARTITION  p23  VALUES LESS THAN (230000) ENGINE = InnoDB,
 PARTITION  p24  VALUES LESS THAN (240000) ENGINE = InnoDB,
 PARTITION  p25  VALUES LESS THAN (250000) ENGINE = InnoDB,
 PARTITION  p26  VALUES LESS THAN (260000) ENGINE = InnoDB,
 PARTITION  p27  VALUES LESS THAN (270000) ENGINE = InnoDB,
 PARTITION  p28  VALUES LESS THAN (280000) ENGINE = InnoDB,
 PARTITION  p29  VALUES LESS THAN (290000) ENGINE = InnoDB,
 PARTITION  p30  VALUES LESS THAN (300000) ENGINE = InnoDB,
 PARTITION  p31  VALUES LESS THAN (310000) ENGINE = InnoDB,
 PARTITION  p32  VALUES LESS THAN (320000) ENGINE = InnoDB,
 PARTITION  p33  VALUES LESS THAN (330000) ENGINE = InnoDB,
 PARTITION  p34  VALUES LESS THAN (340000) ENGINE = InnoDB,
 PARTITION  p35  VALUES LESS THAN (350000) ENGINE = InnoDB,
 PARTITION  p36  VALUES LESS THAN (360000) ENGINE = InnoDB,
 PARTITION  p37  VALUES LESS THAN (370000) ENGINE = InnoDB,
 PARTITION  p38  VALUES LESS THAN (380000) ENGINE = InnoDB,
 PARTITION  p39  VALUES LESS THAN (390000) ENGINE = InnoDB,
 PARTITION  p40  VALUES LESS THAN (400000) ENGINE = InnoDB,
 PARTITION  p41  VALUES LESS THAN (410000) ENGINE = InnoDB,
 PARTITION  p42  VALUES LESS THAN (420000) ENGINE = InnoDB,
 PARTITION  p43  VALUES LESS THAN (430000) ENGINE = InnoDB,
 PARTITION  p44  VALUES LESS THAN (440000) ENGINE = InnoDB,
 PARTITION  p45  VALUES LESS THAN (450000) ENGINE = InnoDB,
 PARTITION  p46  VALUES LESS THAN (460000) ENGINE = InnoDB,
 PARTITION  p47  VALUES LESS THAN (470000) ENGINE = InnoDB,
 PARTITION  p48  VALUES LESS THAN (480000) ENGINE = InnoDB,
 PARTITION  p49  VALUES LESS THAN (490000) ENGINE = InnoDB,
 PARTITION  p50  VALUES LESS THAN (500000) ENGINE = InnoDB,
 PARTITION  p51  VALUES LESS THAN (510000) ENGINE = InnoDB,
 PARTITION  p52  VALUES LESS THAN (520000) ENGINE = InnoDB,
 PARTITION  p53  VALUES LESS THAN (530000) ENGINE = InnoDB,
 PARTITION  p54  VALUES LESS THAN (540000) ENGINE = InnoDB,
 PARTITION  p55  VALUES LESS THAN (550000) ENGINE = InnoDB,
 PARTITION  p56  VALUES LESS THAN (560000) ENGINE = InnoDB,
 PARTITION  p57  VALUES LESS THAN (570000) ENGINE = InnoDB,
 PARTITION  p58  VALUES LESS THAN (580000) ENGINE = InnoDB,
 PARTITION  p59  VALUES LESS THAN (590000) ENGINE = InnoDB,
 PARTITION  p60  VALUES LESS THAN (600000) ENGINE = InnoDB,
 PARTITION  p61  VALUES LESS THAN (610000) ENGINE = InnoDB,
 PARTITION  p62  VALUES LESS THAN (620000) ENGINE = InnoDB,
 PARTITION  p63  VALUES LESS THAN (630000) ENGINE = InnoDB,
 PARTITION  p64  VALUES LESS THAN (640000) ENGINE = InnoDB,
 PARTITION  p65  VALUES LESS THAN (650000) ENGINE = InnoDB,
 PARTITION  p66  VALUES LESS THAN (660000) ENGINE = InnoDB,
 PARTITION  p67  VALUES LESS THAN (670000) ENGINE = InnoDB,
 PARTITION  p68  VALUES LESS THAN (680000) ENGINE = InnoDB,
 PARTITION  p69  VALUES LESS THAN (690000) ENGINE = InnoDB,
 PARTITION  p100  VALUES LESS THAN MAXVALUE ENGINE = InnoDB);
